org.apache.ignite.internal.processors.cache

## Enum CacheInvokeEntry.Operation

- java.lang.Object
- - java.lang.Enum<CacheInvokeEntry.Operation>
  - - org.apache.ignite.internal.processors.cache.CacheInvokeEntry.Operation

All Implemented Interfaces:
  Serializable, Comparable<CacheInvokeEntry.Operation>

Enclosing class:
  CacheInvokeEntry<K,V>

    public static enum CacheInvokeEntry.Operation
    extends Enum<CacheInvokeEntry.Operation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE`
`NONE`
`REMOVE`
`UPDATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static CacheInvokeEntry.Operation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheInvokeEntry.Operation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final CacheInvokeEntry.Operation NONE

#### CREATE

    public static final CacheInvokeEntry.Operation CREATE

#### UPDATE

    public static final CacheInvokeEntry.Operation UPDATE

#### REMOVE

    public static final CacheInvokeEntry.Operation REMOVE

### Method Detail

#### values

    public static CacheInvokeEntry.Operation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheInvokeEntry.Operation c : CacheInvokeEntry.Operation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheInvokeEntry.Operation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018